# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dcontext-dactor"
version = "0.6.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Automatic dcontext propagation through dactor actor messages"
readme = "README.md"
keywords = [
    "context",
    "actor",
    "distributed",
    "propagation",
    "dactor",
]
categories = [
    "concurrency",
    "network-programming",
]
license = "MIT"
repository = "https://github.com/ditas-team/dcontext"

[lib]
name = "dcontext_dactor"
path = "src/lib.rs"

[dependencies.dactor]
version = "0.3.1"

[dependencies.dcontext]
version = "0.6.1"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.async-trait]
version = "0.1"

[dev-dependencies.dactor]
version = "0.3.1"
features = ["test-support"]

[dev-dependencies.serde]
version = "1"
features = ["derive"]

[dev-dependencies.tokio]
version = "1"
features = [
    "full",
    "test-util",
]
